engAlright,
I've seen the API call to determine the "Fixed Face" of a part, but I'm not sure how to use it. There's some argument that I need to pass to it or something, but I'm not sure what. The SW API Help doesn't show much, but here's what I have so far...
Sub main()
Dim swApp...
CorBlimeyLimey,
Sorry about that, I did miss your point. That's a very good question. Like I said, I'm helping a co-worker (who happens to be out of the office today) so I'll have to ask him when he returns. I'm not sure if we'll have that situation, but I think we determine "Face Up" by the...
I guess it would be the Bend-line notes. When a Flat Pattern view is selected and you right-click on the drawing component and select "Properties", I select "Display sheet metal bend notes", and the Up or Down side is displayed along with the angle of the bend lines. You can manually click the...
I'm not sure, I'm asking this question for a co-worker. I believe he wants them to all be face-up.
Shawn Oelschlager
Production Control Ass't
Transco Products Inc.
http://www.transcoproducts.com
SolidWorks Office Premium 2006 - SP4.1
Pentium 4 (2.8 GHz) - 2GB RAM
I'm looking for an API function that can look at the Bend Line notes on a sheet metal part in a drawing. If the part is Face-Down, the macro will flip the part to Face-Up. This would work in the same way as when you click "Flip View" in the Flat Pattern Options while in a Drawing View of a...
handleman,
I have to apologize because this seems to be another case of my "jumping to conclusions". I'm not sure what happened, but this was a problem I was having on Saturday and when I tried again today, I too was unable to duplicate the issue. It seems to be working fine now, so I guess...
Joseph,
You can use a macro to list the custom properties for a configuration. File custom information is stored in the document file. It can be:
General to the file, in which case there is a single value whatever the model's configuration
- or -
Configuration-specific, in which case a...
I seem to have found a Solidworks API oddity or bug...
When I use the following code (below) to add a custom property Name "Volume" with a Value of
"SW-Mass@P-24-3-6.SLDPRT", it almost works as expected. The value is added correctly, exactly as it should be.
However, when I check the results...
Ahh, OK! That makes sense now. Thanks for clearing that up, handleman! [thumbsup2]
Shawn Oelschlager
Production Control Ass't
Transco Products Inc.
http://www.transcoproducts.com
SolidWorks Office Premium 2006 - SP4.1
Pentium 4 (2.8 GHz) - 2GB RAM
Hi all,
Bear with me here, I'm trying to learn how to use the SldWorks.CustomPropertyManager object, but the examples I've see in SW API help require the user to select a "weldment feature", and the API code uses a "SldWorks.SelectionMgr" object to set the "SldWorks.Feature" object, which...
Stef,
No problem, I know well enough these things can be confusing, [3eyes] but even when we get side-tracked, we can learn new things. In this case, I learned about the difference between "Equations" and "Linked Dimensions" in Solidworks - so I thank you for that!
Handleman,
Once again you...
Just to make sure we're on the same page here...
I understand the "equations" to be the expressions in the FileSummaryInfo window (aka Custom Properties) e.g., ""SW-Volume@PSC-18.SLDPRT"" is a text expression that is evaluated as something like "3.63". It IS linked somehow, to what I'm not...
Another note...
When I do this:
Debug.Print " Status = " & swEqnMgr.Status
after setting the SldWorks.EquationMgr object - I get the value "-1" which, according to SW API Help, is the "Index of the equation" and will return "-1" if there was an error.
Still not sure why I'm getting an error.
Thanks Stef! That looks like what I need. However, I'm having some difficulty getting some results. Can you take a look at my code and tell me if I'm doing something wrong. I'm not getting any errors, but the line where I call
ExCount = swEqnMgr.GetCount
I get "0" every time, as if there are...